## libxml2 2.6.32.dfsg-5maemo3+0m5

=== debian/control ===
Source: libxml2
Priority: optional
Section: libs
Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
Uploaders: Mike Hommey <glandium@debian.org>
Standards-Version: 3.7.3.0
Build-Depends: debhelper (>= 5.0.42), zlib1g-dev | libz-dev, python-all-dev (>= 2.3.5-11), python-support (>= 0.3), autotools-dev, libreadline5-dev | libreadline-dev, binutils (>= 2.14.90.0.7), dpkg-dev (>= 1.14.9), quilt

Package: libxml2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libxslt1.1 (<= 1.1.12-8)
Recommends: xml-core
Description: GNOME XML library
 XML is a metalanguage to let you design your own markup language.
 A regular markup language defines a way to describe information in
 a certain class of documents (eg HTML). XML lets you define your
 own customized markup languages for many classes of document. It
 can do this because it's written in SGML, the international standard
 metalanguage for markup languages.
 .
 This package provides a library providing an extensive API to handle
 such XML data files.

Package: libxml2-utils
Architecture: any
Section: text
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libxml2 (<< 2.5.7-1)
Conflicts: libxml2 (<< 2.5.7-1)
Description: XML utilities
 XML is a metalanguage to let you design your own markup language.
 A regular markup language defines a way to describe information in
 a certain class of documents (eg HTML). XML lets you define your
 own customized markup languages for many classes of document. It
 can do this because it's written in SGML, the international standard
 metalanguage for markup languages.
 .
 This package provides xmllint, a tool for validating and reformatting
 XML documents, and xmlcatalog, a tool to parse and manipulate XML or
 SGML catalog files.

Package: libxml2-dev
Architecture: any
Section: libdevel
Depends: libxml2 (= ${binary:Version})
Replaces: libxml2 (<= 2.6.6-1), libxml2-headers (= 2.6.7-1)
Conflicts: libxml2 (<= 2.6.6-1), libxml2-headers (= 2.6.7-1)
Description: Development files for the GNOME XML library
 XML is a metalanguage to let you design your own markup language.
 A regular markup language defines a way to describe information in
 a certain class of documents (eg HTML). XML lets you define your
 own customized markup languages for many classes of document. It
 can do this because it's written in SGML, the international standard
 metalanguage for markup languages.
 .
 Install this package if you wish to develop your own programs using
 the GNOME XML library.

Package: libxml2-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: libxml2 (= ${binary:Version})
Description: Debugging symbols for the GNOME XML library
 XML is a metalanguage to let you design your own markup language.
 A regular markup language defines a way to describe information in
 a certain class of documents (eg HTML). XML lets you define your
 own customized markup languages for many classes of document. It
 can do this because it's written in SGML, the international standard
 metalanguage for markup languages.
 .
 This package provides the debugging symbols for the library and for
 the utilities provided by the libxml2-utils package.
 Debugging symbols for the Python modules are not available.

Package: libxml2-doc
Architecture: all
Section: doc
Suggests: devhelp
Description: Documentation for the GNOME XML library
 XML is a metalanguage to let you design your own markup language.
 A regular markup language defines a way to describe information in
 a certain class of documents (eg HTML). XML lets you define your
 own customized markup languages for many classes of document. It
 can do this because it's written in SGML, the international standard
 metalanguage for markup languages.
 .
 This package contains general information about the GNOME XML library
 and more specific API references.

Package: python-libxml2
Architecture: any
Section: python
Conflicts: python2.3-libxml2 (<< 2.6.26.dfsg-2), python2.4-libxml2 (<< 2.6.26.dfsg-2)
Replaces: python2.3-libxml2 (<< 2.6.26.dfsg-2), python2.4-libxml2 (<< 2.6.26.dfsg-2)
Provides: ${python:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
XB-Python-Version: ${python:Versions}
Description: Python bindings for the GNOME XML library
 XML is a metalanguage to let you design your own markup language.
 A regular markup language defines a way to describe information in
 a certain class of documents (eg HTML). XML lets you define your
 own customized markup languages for many classes of document. It
 can do this because it's written in SGML, the international standard
 metalanguage for markup languages.
 .
 This package contains the files needed to use the GNOME XML library
 in Python programs.
