## libxml2 2.8.0+dfsg1

=== debian/changelog ===
libxml2 (2.8.0+dfsg1-7+wheezy12) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * CVE-2017-15412
    Fix XPath stack frame logic and avoid use after free.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 17 Dec 2017 19:30:02 +0100

libxml2 (2.8.0+dfsg1-7+wheezy11) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * CVE-2017-16931
    parser.c in libxml2 before 2.9.5 mishandles parameter-entity 
    references because the NEXTL macro calls the 
    xmlParserHandlePEReference function in the case of a '%' character 
    in a DTD name.
  * CVE-2017-16932
    parser.c in libxml2 before 2.9.5 does not prevent infinite 
    recursion in parameter entities.

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 28 Nov 2017 19:30:02 +0100

libxml2 (2.8.0+dfsg1-7+wheezy10) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * CVE-2017-5130
    Check for integer overflow in memory debug code.

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 23 Nov 2017 18:03:02 +0100

libxml2 (2.8.0+dfsg1-7+wheezy9) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * CVE-2017-7376
    Incorrect limit used for port values.
  * CVE-2017-0663
    invalid casting of ns- to xmlAttrPtr-structure

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 19 Aug 2017 16:03:02 +0200

libxml2 (2.8.0+dfsg1-7+wheezy8) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * CVE-2017-7375
    Missing validation for external entities in xmlParsePEReference
  * CVE-2017-9047 + CVE-2017-9048
    A buffer overflow was discovered in libxml2 20904-GITv2.9.4-16-g0741801. 
    The function xmlSnprintfElementContent in valid.c is supposed to 
    recursively dump the element content definition into a char buffer 'buf' 
    of size 'size'. The variable len is assigned strlen(buf). 
    If the content->type is XML_ELEMENT_CONTENT_ELEMENT, then (i) the 
    content->prefix is appended to buf (if it actually fits) whereupon 
    (ii) content->name is written to the buffer. However, the check for 
    whether the content->name actually fits also uses 'len' rather than 
    the updated buffer length strlen(buf). This allows us to write about 
    "size" many bytes beyond the allocated memory. This vulnerability 
    causes programs that use libxml2, such as PHP, to crash.
  * CVE-2017-9049 + CVE-2017-9050
    libxml2 20904-GITv2.9.4-16-g0741801 is vulnerable to a heap-based 
    buffer over-read in the xmlDictComputeFastKey function in dict.c. 
    This vulnerability causes programs that use libxml2, such as PHP, 
    to crash. This vulnerability exists because of an incomplete fix 
    for libxml2 Bug 759398.

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 30 Jun 2017 19:03:02 +0200

libxml2 (2.8.0+dfsg1-7+wheezy7) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * CVE-2016-4658
    Namespace nodes must be copied to avoid use-after-free errors.
    But they don't necessarily have a physical representation in a
    document, so simply disallow them in XPointer ranges.
  * CVE-2016-5131
    The old code would invoke the broken xmlXPtrRangeToFunction. 
    range-to isn't really a function but a special kind of 
    location step. Remove this function and always handle range-to 
    in the XPath code.
    The old xmlXPtrRangeToFunction could also be abused to trigger 
    a use-after-free error with the potential for remote code 
    execution.
 
 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 23 Oct 2016 19:03:02 +0200

libxml2 (2.8.0+dfsg1-7+wheezy6) wheezy-security; urgency=high

  * Non-maintainer upload.
  * Heap-based buffer overread in xmlNextChar (CVE-2016-1762)
  * heap-buffer-overflow in xmlStrncat (CVE-2016-1834)
  * Add missing increments of recursion depth counter to XML parser
    (CVE-2016-3705) (Closes: #823414)
  * Avoid an out of bound access when serializing malformed strings
    (CVE-2016-4483) (Closes: #823405)
  * Heap-buffer-overflow in xmlFAParsePosCharGroup (CVE-2016-1840)
  * Heap-based buffer overread in xmlParserPrintFileContextInternal
    (CVE-2016-1838)
  * Heap-based buffer overread in xmlDictAddString (CVE-2016-1839
    CVE-2015-8806 CVE-2016-2073) (Closes: #813613, #812807)
  * Fix inappropriate fetch of entities content (CVE-2016-4449)
  * Heap use-after-free in htmlParsePubidLiteral and htmlParseSystemiteral
    (CVE-2016-1837)
  * Heap use-after-free in xmlSAX2AttributeNs (CVE-2016-1835)
  * Heap-based buffer-underreads due to xmlParseName (CVE-2016-4447)
  * Heap-based buffer overread in htmlCurrentChar (CVE-2016-1833)
  * Avoid building recursive entities (CVE-2016-3627) (Closes: #819006)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 28 May 2016 07:13:57 +0200

libxml2 (2.8.0+dfsg1-7+wheezy5) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add patches to address CVE-2015-7941.
    CVE-2015-7941: Denial of service via out-of-bounds read. (Closes: #783010)
  * Add CVE-2015-1819-Enforce-the-reader-to-run-in-constant-.patch.
    CVE-2015-1819: Enforce the reader to run in constant memory.
    Thanks to Mike Gabriel for the patch backport. (Closes: #782782)
  * Add patches to address CVE-2015-8317.
    CVE-2015-8317: Out-of-bounds heap read when parsing file with unfinished
    xml declaration.
  * Add patches to address CVE-2015-7942.
    CVE-2015-7942: heap-based buffer overflow in
    xmlParseConditionalSections(). (Closes: #802827)
  * Add Fix-parsing-short-unclosed-comment-uninitialized-acc.patch patch.
    Parsing an unclosed comment can result in `Conditional jump or move
    depends on uninitialised value(s)` and unsafe memory access.
    (Closes: #782985)
  * Add CVE-2015-8035-Fix-XZ-compression-support-loop.patch patch.
    CVE-2015-8035: DoS when parsing specially crafted XML document if XZ
    support is enabled. (Closes: #803942)

