## libxml2 2.8.0+dfsg1-7maemo0+0cssu1+thumb0

=== debian/changelog ===
libxml2 (2.8.0+dfsg1-7maemo0+0cssu1+thumb0) unstable; urgency=low

  * Thumb2 compiled

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Wed, 24 Apr 2013 19:40:37 +0300

libxml2 (2.8.0+dfsg1-7maemo0+0cssu1) unstable; urgency=low

  * Resync from upstream (Fixes several mem leaks and CVEs)
  * Downgrade debhelper version requirement
  * Use target's python for all things python

 -- Ludek Finstrle <luf@pzkagis.cz>  Thu, 10 Jan 2013 13:52:21 +0100

libxml2 (2.6.32.dfsg-5maemo4+0m5+0cssu1+thumb0) unstable; urgency=low

  * Thumb2 compiled

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sun, 06 Jan 2013 10:23:12 +0200

libxml2 (2.6.32.dfsg-5maemo4+0m5+0cssu1) unstable; urgency=low

  * Fixes wrong zlib dependency on internal staff from upstream
    commit a7e79f28689c574e0bbef17f4cb3da00249181ff

 -- Ludek Finstrle <luf@pzkags.cz>  Sat, 29 Dec 2012 10:01:32 +0100

libxml2 (2.6.32.dfsg-5maemo4+0m5+0cssu0+thumb0) unstable; urgency=low

  * Thumb2 compiled

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sat, 16 Jun 2012 07:49:14 +0300

libxml2 (2.6.32.dfsg-5maemo4+0m5+0cssu0) unstable; urgency=low

  * Fixes https://bugs.maemo.org/show_bug.cgi?id=12566
  * CVE-2011-2834 DoS via double free in XPath handling

 -- Christian Ratzenhfoer <christian_ratzenhofer@yahoo.de>  Tue,  3 Apr 2012 19:05:50 +0200

libxml2 (2.6.32.dfsg-5maemo4+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 2.6.32.dfsg-5maemo4+0m5

 -- Gary Birkett <ext-gary.2.birkett@nokia.com>  Mon, 07 Jun 2010 19:16:38 +0300

libxml2 (2.6.32.dfsg-5maemo4) unstable; urgency=low

  * Fixes: NB#131201 libxml2 DoS vulnerability

 -- Alban Crequy <alban.crequy@collabora.co.uk>  Thu, 06 May 2010 16:57:57 +0100
