=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: libxml2
 Priority: optional
 Section: libs
-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
-Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 9), perl, dh-autoreconf, autotools-dev,
- binutils (>= 2.14.90.0.7), python-all-dev (>= 2.6.6-3~), python-all-dbg,
- zlib1g-dev | libz-dev, liblzma-dev, libreadline-dev | libreadline6-dev
+Maintainer: Ludek Finstrle <luf@pzkagis.cz>
+XSBC-Original-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
+Standards-Version: 3.7.3.0
+Build-Depends: debhelper (>= 5.0.42), zlib1g-dev (>= 1:1.2.7) | libz-dev,
+ python-all-dev (>= 2.3.5-11), python-support (>= 0.3), autotools-dev,
+ libreadline5-dev | libreadline-dev, binutils (>= 2.14.90.0.7),
+ dpkg-dev (>= 1.14.9), quilt
 Homepage: http://xmlsoft.org/
-Vcs-Git: git://git.debian.org/debian-xml-sgml/libxml2.git
-Vcs-Browser: http://git.debian.org/?p=debian-xml-sgml/libxml2.git
 
 Package: libxml2
-Priority: standard
 Architecture: any
+Section: libs
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, zlib1g (>= 1:1.2.7), kernel-feature-errata-430973-workaround [armel]
+Conflicts: libxslt1.1 (<= 1.1.12-8)
 Recommends: xml-core
-Multi-Arch: same
 Description: GNOME XML library
  XML is a metalanguage to let you design your own markup language.
  A regular markup language defines a way to describe information in
@@ -32,8 +31,9 @@
 Package: libxml2-utils
 Architecture: any
 Section: text
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Multi-Arch: foreign
+Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-feature-errata-430973-workaround [armel]
+Replaces: libxml2 (<< 2.5.7-1)
+Conflicts: libxml2 (<< 2.5.7-1)
 Description: XML utilities
  XML is a metalanguage to let you design your own markup language.
  A regular markup language defines a way to describe information in
@@ -48,7 +48,7 @@
 
 Package: libxml2-utils-dbg
 Architecture: any
-Section: debug
+Section: libdevel
 Priority: extra
 Depends: libxml2-utils (= ${binary:Version}), ${misc:Depends}
 Description: XML utilities (debug extension)
@@ -66,7 +66,8 @@
 Architecture: any
 Section: libdevel
 Depends: libxml2 (= ${binary:Version}), ${misc:Depends}
-Multi-Arch: same
+Replaces: libxml2 (<= 2.6.6-1), libxml2-headers (= 2.6.7-1)
+Conflicts: libxml2 (<= 2.6.6-1), libxml2-headers (= 2.6.7-1)
 Description: Development files for the GNOME XML library
  XML is a metalanguage to let you design your own markup language.
  A regular markup language defines a way to describe information in
@@ -80,10 +81,9 @@
 
 Package: libxml2-dbg
 Architecture: any
-Section: debug
+Section: libdevel
 Priority: extra
 Depends: libxml2 (= ${binary:Version}), ${misc:Depends}
-Multi-Arch: same
 Description: Debugging symbols for the GNOME XML library
  XML is a metalanguage to let you design your own markup language.
  A regular markup language defines a way to describe information in
@@ -99,7 +99,6 @@
 Section: doc
 Depends: ${misc:Depends}
 Suggests: devhelp
-Multi-Arch: foreign
 Description: Documentation for the GNOME XML library
  XML is a metalanguage to let you design your own markup language.
  A regular markup language defines a way to describe information in
@@ -115,7 +114,10 @@
 Architecture: any
 Section: python
 Provides: ${python:Provides}
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, kernel-feature-errata-430973-workaround [armel]
+Conflicts: python2.3-libxml2 (<< 2.7), python2.4-libxml2 (<< 2.7)
+Replaces: python2.3-libxml2 (<< 2.7), python2.4-libxml2 (<< 2.7)
+XB-Python-Version: ${python:Versions}
 Description: Python bindings for the GNOME XML library
  XML is a metalanguage to let you design your own markup language.
  A regular markup language defines a way to describe information in
@@ -129,7 +131,7 @@
 
 Package: python-libxml2-dbg
 Architecture: any
-Section: debug
+Section: libdevel
 Priority: extra
 Provides: ${python:Provides}
 Depends: python-dbg, python-libxml2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
