=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 # The current default version of python
 PYVER=$(shell pyversions -d)
 
-CFLAGS = -Wall -g -mthumb
+CFLAGS = -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
       CFLAGS += -O0
