=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libxml2
 Priority: optional
 Section: libs
-Maintainer: Ludek Finstrle <luf@pzkagis.cz>
+Maintainer: Ludek Finstrle <luf@seznam.cz>
 XSBC-Original-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
 Standards-Version: 3.7.3.0
 Build-Depends: debhelper (>= 5.0.42), zlib1g-dev (>= 1:1.2.7) | libz-dev,
@@ -14,7 +14,7 @@
 Architecture: any
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, zlib1g (>= 1:1.2.7), kernel-feature-errata-430973-workaround [armel]
+Depends: ${shlibs:Depends}, ${misc:Depends}, zlib1g (>= 1:1.2.7)
 Conflicts: libxslt1.1 (<= 1.1.12-8)
 Recommends: xml-core
 Description: GNOME XML library
@@ -31,7 +31,7 @@
 Package: libxml2-utils
 Architecture: any
 Section: text
-Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-feature-errata-430973-workaround [armel]
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libxml2 (<< 2.5.7-1)
 Conflicts: libxml2 (<< 2.5.7-1)
 Description: XML utilities
@@ -114,7 +114,7 @@
 Architecture: any
 Section: python
 Provides: ${python:Provides}
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, kernel-feature-errata-430973-workaround [armel]
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Conflicts: python2.3-libxml2 (<< 2.7), python2.4-libxml2 (<< 2.7)
 Replaces: python2.3-libxml2 (<< 2.7), python2.4-libxml2 (<< 2.7)
 XB-Python-Version: ${python:Versions}
